Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.mro
Class ExperimentatorNumberOfWords

    java.lang.Object
      infomat.mro.ExperimentatorNumberOfWords

All Implemented Interfaces:
  HasProperties

    public class ExperimentatorNumberOfWords

extends java.lang.Object
implements HasProperties

NOT WORKING IN VERSION 080828 Class for running clustering tasks without the GUI. The arguments of the main()-method overruns the default properties. If a properties-file for the Experimentator-object is specified (or located) it takes precedence.
`java -cp .:classes/ -Xms3024m -Xmx3024m infomat.Experimentator`

Field Summary
`private IObjectGrouping` | `categorization`
`private static java.lang.String` | `engStoplistFileName`
`private IMatrix` | `matrix`
`private IObjectGrouping` | `originalCategorization`
`private IMatrix` | `originalMatrix`
`private PropertiesPool` | `pp`
`private Properties` | `properties`
`private SparseISimilarity` | `similarity`
`private static java.lang.String` | `sweStoplistFileName`

Constructor Summary
`ExperimentatorNumberOfWords()`

Method Summary
`private void` | `badInput(java.lang.String comment)`
`private void` | `calculateAndSaveEvaluation(IMatrix matrix, IObjectGrouping clustering, IObjectGrouping categorization, java.lang.String resFileName, long timeStamp)` Stamps the Measures:s with the same time as a stamp.
`private void` | `checkInput(java.lang.String[] args)`
`private void` | `cluster(java.lang.String resultPath, java.util.Vector<GroupingAlgorithm> algs, Weighter weighter)`
`private SparseISimilarity` | `constructSimilarity()`
`void` | `doIt(java.lang.String[] args)`
`private void` | `doOneDirectory(java.io.File dir)`
`private void` | `filter()`
`private void` | `fixPath(java.lang.String pathName)`
`private java.util.Vector<GroupingAlgorithm>` | `getAlgorithms()`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`private void` | `oneClustering(java.lang.String resultPath, GroupingAlgorithm alg, Weighter weighter, IMatrix matrix)`
`private void` | `oneReductionExperiment(java.lang.String resultPath, IObjectGrouping clustering, LabelReducer labelReducer, Labeler labeler, GroupingAlgorithm alg, java.lang.String designation, long timeStamp)`
`private void` | `readFiles()`
`private void` | `recurseExperimentPath(java.io.File path)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`private void` | `stoplist()`
`private Weighter` | `weight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sweStoplistFileName

    private static java.lang.String sweStoplistFileName

### engStoplistFileName

    private static java.lang.String engStoplistFileName

### properties

    private Properties properties

### pp

    private PropertiesPool pp

### originalMatrix

    private IMatrix originalMatrix

### originalCategorization

    private IObjectGrouping originalCategorization

### matrix

    private IMatrix matrix

### similarity

    private SparseISimilarity similarity

### categorization

    private IObjectGrouping categorization

Constructor Detail

### ExperimentatorNumberOfWords

    public ExperimentatorNumberOfWords()

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### main

    public static void main(java.lang.String[] args)
                     throws org.xml.sax.SAXException,
                            java.io.IOException,
                            PropertyNotFoundException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `PropertyNotFoundException`

### doIt

    public void doIt(java.lang.String[] args)
              throws java.io.IOException,
                     org.xml.sax.SAXException,
                     PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `PropertyNotFoundException`

### recurseExperimentPath

    private void recurseExperimentPath(java.io.File path)
                                throws java.io.IOException,
                                       org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### doOneDirectory

    private void doOneDirectory(java.io.File dir)
                         throws java.io.IOException,
                                org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### constructSimilarity

    private SparseISimilarity constructSimilarity()

### getAlgorithms

    private java.util.Vector<GroupingAlgorithm> getAlgorithms()

### cluster

    private void cluster(java.lang.String resultPath,
                         java.util.Vector<GroupingAlgorithm> algs,
                         Weighter weighter)

### oneClustering

    private void oneClustering(java.lang.String resultPath,
                               GroupingAlgorithm alg,
                               Weighter weighter,
                               IMatrix matrix)

### fixPath

    private void fixPath(java.lang.String pathName)

### oneReductionExperiment

    private void oneReductionExperiment(java.lang.String resultPath,
                                        IObjectGrouping clustering,
                                        LabelReducer labelReducer,
                                        Labeler labeler,
                                        GroupingAlgorithm alg,
                                        java.lang.String designation,
                                        long timeStamp)

### calculateAndSaveEvaluation

    private void calculateAndSaveEvaluation(IMatrix matrix,
                                            IObjectGrouping clustering,
                                            IObjectGrouping categorization,
                                            java.lang.String resFileName,
                                            long timeStamp)

  Stamps the Measures:s with the same time as a stamp.

### badInput

    private void badInput(java.lang.String comment)

### checkInput

    private void checkInput(java.lang.String[] args)
                     throws java.io.IOException,
                            org.xml.sax.SAXException,
                            PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `PropertyNotFoundException`

### readFiles

    private void readFiles()

### stoplist

    private void stoplist()

### filter

    private void filter()

### weight

    private Weighter weight()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD